/*
 * This is a simple About requester for the plugin.
 */

#include "fxt.h"
#include <gtk/gtk.h>

static GtkWidget *dialog;

static void about_close_cb(GtkWidget *w,gpointer data)
{
	gtk_widget_destroy(dialog);
}


void fxt_about(void)
{
	GtkWidget *button, *label, *frame, *vbox, *hbox, *entry;

	if (dialog)
		return;

	dialog = gtk_dialog_new();
	gtk_signal_connect(GTK_OBJECT(dialog), "destroy",
			   GTK_SIGNAL_FUNC(gtk_widget_destroyed), &dialog);
	gtk_window_set_title(GTK_WINDOW(dialog), "About");
	gtk_container_border_width(GTK_CONTAINER(dialog), 5);

	frame = gtk_frame_new(PLUGIN_NAME);
	gtk_box_pack_start(GTK_BOX(GTK_DIALOG(dialog)->vbox), frame,
			   TRUE, TRUE, 5);

	hbox = gtk_hbox_new(FALSE, 5);
	gtk_container_add(GTK_CONTAINER(frame), hbox);

	vbox = gtk_vbox_new(FALSE, 0);
	gtk_box_pack_start(GTK_BOX(hbox), vbox,
			   TRUE, TRUE, 5);

/* multiline, centered label */
	label = gtk_label_new(
"This plugin offers some audio effects.\n"
"Especially surround is useful for headphones,\n"
"and generally with modules.\n"
);
	gtk_box_pack_start(GTK_BOX(vbox), label,
			   TRUE, TRUE, 5);

	entry = gtk_entry_new();
	gtk_entry_set_text(GTK_ENTRY(entry), "dlecorfec@users.sourceforge.net");
	gtk_entry_set_editable(GTK_ENTRY(entry), FALSE);
	gtk_box_pack_start(GTK_BOX(vbox), entry,
			   TRUE, TRUE, 5);

	entry = gtk_entry_new();
	gtk_entry_set_text(GTK_ENTRY(entry), "http://xmms-fxt.sourceforge.net/");
	gtk_entry_set_editable(GTK_ENTRY(entry), FALSE);
	gtk_box_pack_start(GTK_BOX(vbox), entry,
			   TRUE, TRUE, 5);

	button = gtk_button_new_with_label(" Close ");
	gtk_signal_connect(GTK_OBJECT(button), "clicked",
			   GTK_SIGNAL_FUNC(about_close_cb), NULL);
	gtk_box_pack_start(GTK_BOX(GTK_DIALOG(dialog)->action_area), button,
			   FALSE, FALSE, 0);
	
	gtk_widget_show_all(dialog);
	gtk_widget_grab_focus(button);
}
