#ifndef __FXT_H__
#define __FXT_H__

#include <glib.h>

#include "xmms/plugin.h"

#define PLUGIN_NAME "FX Toolbox " VERSION

#define MAX_DELAY_MS 3

typedef enum {
	MODE_SURROUND,
	MODE_ECHO,
} FXMode;

struct FxtConfig {
	gint     fxmode;         /* effect type */
	gint     strength_pct;   /* amount of effect (0 = no modification) */
	gfloat   delay_ms;       /* delay for cross echo */
	gint     volume_pct;     /* normalize or sum */
	gboolean reverse;        /* should reverse channels ? */
};

/* global variables */
extern struct FxtConfig plugin_cfg;

/* functions to export from module */
extern EffectPlugin *get_eplugin_info (void);

/* global functions, internal to module */
extern void fxt_about (void);
extern void fxt_configure (void);
extern void fxt_cfg_save (void);

#endif
